# Reconstruction of the regulatory network with ARACNe-AP
# Environment requirement: JDK > 1.8 and Apache ANT
# For more infomation and the source code of this software, please refer to https://github.com/califano-lab/ARACNe-AP
# The calculation could be very time-consuming, depending on your device.

# Step0: Build the software
# cd to the path of the ARACNe-AP source code
cd "ARACNe-AP-master"
ant main

# Step1: Calculate the threshold
java -Xmx5G -jar dist/aracne.jar -e Data/RNA_GSE12452.tsv -o RNA_GSE12452/Temp/ARACNeAP --tfs Data/tfs.txt --pvalue 1E-6 --seed 1 \ --calculateThreshold
# Option: -e: The expression matrix. -o: The output folder. --tfs: The list of transcription factors. --pvalue: The p-value threshold. --seed: The seed for the random number generator.
# Output: `miThreshold_p1E-6_samples41.txt`

# Step2: Run 100 reproducible bootstraps
for ($i=1; $i -lt 101; $i++) {java -Xmx5G -jar dist/aracne.jar -e Data/RNA_GSE12452.tsv -o RNA_GSE12452/Temp/ARACNeAP --tfs Data/tfs.txt --pvalue 1E-6 --seed $i}
# Output (example): `bootstrapNetwork_vvsmt7ghcigk7mj77f0b4gd7hl.txt`

# Step3: Merge the bootstraps
java -Xmx5G -jar dist/Aracne.jar -o RNA_GSE12452/Temp/ARACNeAP --consolidate
# Output: `network.txt`
# This file is the final regulation network.