# Computational codes for identification of key master regulators of high-risk nasopharyngeal carcinoma.
Analysis reveals that TEAD4 is among the key master regulators of high-risk nasopharyngeal carcinoma, which is consistent in identical analysis of the two bulk RNA-seq datasets.

Scripts:
- `1-ARACNe-AP.ps1`: PowerShell script for reconstruction of regulation networks with ARACNe-AP. 
- `2-VIPER.R` R script for identification of key master regulators basing on analysis of the regulation network with VIPER.

Data:
- Expression matrix (GSE12452 and GSE102349): Public nasopharyngeal carcinoma datasets, which can be obtained from GEO database (https://www.ncbi.nlm.nih.gov/geo/).
- Transcription Factors (TFs) list: List of Human transcription factors, which can be obtained from http://humantfs.ccbr.utoronto.ca/download/v_1.01/TF_names_v_1.01.txt

Please refer to the following paper for more details:
> Ya-Qin Wang#, Dong-Hong Wu#, Denghui Wei#, Jia-Yi Shen#, Zi-Wei Huang#, et al., Jiawei Lv*, Yu-Pei Chen*. TEAD4 is a master regulator of high-risk nasopharyngeal carcinoma.